-- MySQL dump 10.8
--
-- Host: localhost    Database: bytemonsoonold
-- ------------------------------------------------------
-- Server version	4.1.7

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE="NO_AUTO_VALUE_ON_ZERO" */;

--
-- Table structure for table `avps`
--

DROP TABLE IF EXISTS `avps`;
CREATE TABLE `avps` (
  `arg` varchar(20) NOT NULL default '',
  `value_i` int(11) NOT NULL default '0',
  `value_u` int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`arg`)
) ENGINE=HEAP DEFAULT CHARSET=latin1;

--
-- Table structure for table `category`
--

DROP TABLE IF EXISTS `category`;
CREATE TABLE `category` (
  `id` smallint(5) unsigned NOT NULL auto_increment,
  `owner_id` smallint(5) unsigned default NULL,
  `is_abstract` tinyint(1) unsigned NOT NULL default '0',
  `searchable` tinyint(1) unsigned NOT NULL default '1',
  `name` varchar(30) NOT NULL default '',
  `fullname` varchar(50) NOT NULL default '',
  `sort_index` smallint(5) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `owner_id` (`owner_id`),
  KEY `is_abstract` (`is_abstract`),
  KEY `searchable` (`searchable`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 PACK_KEYS=0;

--
-- Table structure for table `comment`
--

DROP TABLE IF EXISTS `comment`;
CREATE TABLE `comment` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `user` int(10) unsigned NOT NULL default '0',
  `torrent` int(10) unsigned NOT NULL default '0',
  `added` datetime NOT NULL default '0000-00-00 00:00:00',
  `text` text NOT NULL,
  `ori_text` text NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `user` (`user`),
  KEY `torrent` (`torrent`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Table structure for table `feedback`
--

DROP TABLE IF EXISTS `feedback`;
CREATE TABLE `feedback` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `users_id` int(10) unsigned NOT NULL default '0',
  `type` enum('bug','feature_request','abuse','other') NOT NULL default 'bug',
  `feedback_text` text NOT NULL,
  `is_done` tinyint(1) unsigned NOT NULL default '0',
  `received` datetime NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`id`),
  KEY `users_id` (`users_id`,`type`,`is_done`,`received`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COMMENT='Feedback from users';

--
-- Table structure for table `file`
--

DROP TABLE IF EXISTS `file`;
CREATE TABLE `file` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `torrent` int(10) unsigned NOT NULL default '0',
  `filename` varchar(255) NOT NULL default '',
  `size` bigint(20) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `torrent` (`torrent`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Table structure for table `peer`
--

DROP TABLE IF EXISTS `peer`;
CREATE TABLE `peer` (
  `torrent` int(10) unsigned NOT NULL default '0',
  `peer_id` char(20) character set latin1 collate latin1_bin NOT NULL default '',
  `user_id` int(10) unsigned default NULL,
  `ip` char(15) NOT NULL default '',
  `port` smallint(5) unsigned NOT NULL default '0',
  `temp_uploaded` bigint(20) unsigned NOT NULL default '0',
  `temp_downloaded` bigint(20) unsigned NOT NULL default '0',
  `perm_uploaded` bigint(20) unsigned NOT NULL default '0',
  `perm_downloaded` bigint(20) unsigned NOT NULL default '0',
  `to_go` bigint(20) unsigned NOT NULL default '0',
  `seeder` enum('yes','no') NOT NULL default 'no',
  `started` datetime NOT NULL default '0000-00-00 00:00:00',
  `last_action` datetime NOT NULL default '0000-00-00 00:00:00',
  `connectable` enum('yes','no','unknown') NOT NULL default 'unknown',
  `connected` tinyint(1) unsigned NOT NULL default '0',
  PRIMARY KEY  (`torrent`,`peer_id`),
  KEY `torrent` (`torrent`),
  KEY `connectable` (`connectable`),
  KEY `user_id` (`user_id`),
  KEY `connected` (`connected`)
) ENGINE=HEAP DEFAULT CHARSET=latin1;

--
-- Table structure for table `torrent`
--

DROP TABLE IF EXISTS `torrent`;
CREATE TABLE `torrent` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `info_hash` varchar(20) character set latin1 collate latin1_bin NOT NULL default '',
  `name` varchar(255) NOT NULL default '',
  `filename` varchar(255) NOT NULL default '',
  `save_as` varchar(255) NOT NULL default '',
  `search_text` text NOT NULL,
  `descr` text NOT NULL,
  `ori_descr` text NOT NULL,
  `size` bigint(20) unsigned NOT NULL default '0',
  `added` datetime NOT NULL default '0000-00-00 00:00:00',
  `type` enum('single','multi') NOT NULL default 'single',
  `numfiles` int(10) unsigned NOT NULL default '0',
  `views` int(10) unsigned NOT NULL default '0',
  `hits` int(10) unsigned NOT NULL default '0',
  `times_completed` int(10) unsigned NOT NULL default '0',
  `last_action` datetime NOT NULL default '0000-00-00 00:00:00',
  `visible` enum('yes','no') NOT NULL default 'yes',
  `owner` int(10) unsigned NOT NULL default '0',
  `seeders` int(10) unsigned NOT NULL default '0',
  `leechers` int(10) unsigned NOT NULL default '0',
  `comments` int(10) unsigned NOT NULL default '0',
  `banned` enum('yes','no') NOT NULL default 'no',
  `rating` tinyint(1) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `info_hash` (`info_hash`),
  KEY `owner` (`owner`),
  KEY `visible` (`visible`),
  KEY `category_visible` (`visible`),
  KEY `filename` (`filename`),
  KEY `name` (`name`),
  KEY `added` (`added`),
  KEY `last_action` (`last_action`),
  KEY `rating` (`rating`),
  FULLTEXT KEY `ft_search` (`search_text`,`ori_descr`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Table structure for table `torrent_category`
--

DROP TABLE IF EXISTS `torrent_category`;
CREATE TABLE `torrent_category` (
  `torrent_id` int(10) unsigned NOT NULL default '0',
  `category_id` smallint(5) unsigned NOT NULL default '0',
  PRIMARY KEY  (`torrent_id`,`category_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COMMENT='torrent belongs in what categories';

--
-- Table structure for table `torrent_rating`
--

DROP TABLE IF EXISTS `torrent_rating`;
CREATE TABLE `torrent_rating` (
  `torrent_id` int(10) unsigned NOT NULL default '0',
  `user_id` int(10) unsigned NOT NULL default '0',
  `rating` tinyint(1) unsigned NOT NULL default '0',
  PRIMARY KEY  (`torrent_id`,`user_id`),
  KEY `rating` (`rating`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COMMENT='Torrent rating votes per user';

--
-- Table structure for table `uploadrequest`
--

DROP TABLE IF EXISTS `uploadrequest`;
CREATE TABLE `uploadrequest` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `name` varchar(30) NOT NULL default '',
  `description` text NOT NULL,
  `user_id` int(10) unsigned NOT NULL default '0',
  `matching_torrents` int(10) unsigned NOT NULL default '0',
  `comments` tinyint(3) unsigned NOT NULL default '0',
  `status` enum('bad','ok','good') NOT NULL default 'bad',
  `deleted` tinyint(1) unsigned NOT NULL default '0',
  `uploadrequest_date` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `matches_updated` timestamp NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`id`),
  KEY `name` (`name`,`user_id`,`matching_torrents`,`status`,`deleted`),
  KEY `uploadrequest_date` (`uploadrequest_date`),
  KEY `matches_updated` (`matches_updated`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COMMENT='Upload requests done by users';

--
-- Table structure for table `uploadrequest_category`
--

DROP TABLE IF EXISTS `uploadrequest_category`;
CREATE TABLE `uploadrequest_category` (
  `uploadrequest_id` int(10) unsigned NOT NULL default '0',
  `category_id` smallint(5) unsigned NOT NULL default '0',
  PRIMARY KEY  (`uploadrequest_id`,`category_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COMMENT='Categories the upload request applies to';

--
-- Table structure for table `uploadrequest_comment`
--

DROP TABLE IF EXISTS `uploadrequest_comment`;
CREATE TABLE `uploadrequest_comment` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `uploadrequest_id` int(10) unsigned NOT NULL default '0',
  `user_id` int(10) unsigned NOT NULL default '0',
  `comment_date` datetime NOT NULL default '0000-00-00 00:00:00',
  `comment_modified` datetime default NULL,
  `comment_text` text NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `uploadrequest_id` (`uploadrequest_id`,`user_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COMMENT='Upload request comments';

--
-- Table structure for table `uploadrequest_torrent_OBSOLETE`
--

DROP TABLE IF EXISTS `uploadrequest_torrent_OBSOLETE`;
CREATE TABLE `uploadrequest_torrent_OBSOLETE` (
  `uploadrequest_id` int(10) unsigned NOT NULL default '0',
  `torrent_id` int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`uploadrequest_id`,`torrent_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COMMENT='Mathing torrents for the upload request';

--
-- Table structure for table `user`
--

DROP TABLE IF EXISTS `user`;
CREATE TABLE `user` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `deleted` tinyint(1) unsigned NOT NULL default '0',
  `username` varchar(40) NOT NULL default '',
  `passhash` varchar(32) NOT NULL default '',
  `secret` varchar(20) character set latin1 collate latin1_bin NOT NULL default '',
  `email` varchar(80) NOT NULL default '',
  `status` enum('notaccepted','pending','confirmed','rejected') NOT NULL default 'notaccepted',
  `added` datetime NOT NULL default '0000-00-00 00:00:00',
  `last_login` datetime NOT NULL default '0000-00-00 00:00:00',
  `last_login_ip` varchar(15) default NULL,
  `last_access` datetime NOT NULL default '0000-00-00 00:00:00',
  `admin` enum('yes','no') NOT NULL default 'no',
  `accesslevel` tinyint(2) NOT NULL default '1',
  `editsecret` varchar(20) character set latin1 collate latin1_bin NOT NULL default '',
  `requestip` varchar(15) NOT NULL default '',
  `accepted_by` int(11) unsigned default '0',
  `lostpasshash` varchar(32) default NULL,
  `whorecommended` varchar(20) NOT NULL default '',
  `has_agreed_rules` tinyint(1) unsigned NOT NULL default '0',
  `has_read_faq` tinyint(1) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `username` (`username`),
  KEY `status_added` (`status`,`added`),
  KEY `requestip` (`requestip`),
  KEY `passhash` (`passhash`),
  KEY `accepted_by` (`accepted_by`),
  KEY `lostpasshash` (`lostpasshash`),
  KEY `last_login_ip` (`last_login_ip`),
  KEY `deleted` (`deleted`),
  KEY `accesslevel` (`accesslevel`),
  KEY `has_agreed_rules` (`has_agreed_rules`,`has_read_faq`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Table structure for table `user_ratio`
--

DROP TABLE IF EXISTS `user_ratio`;
CREATE TABLE `user_ratio` (
  `user_id` int(10) unsigned NOT NULL default '0',
  `permanent_ul_kb` int(10) unsigned NOT NULL default '0',
  `permanent_dl_kb` int(10) unsigned NOT NULL default '0',
  `temp_ul_kb` int(10) unsigned NOT NULL default '0',
  `temp_dl_kb` int(10) unsigned NOT NULL default '0',
  `finished_dl_count` int(10) unsigned NOT NULL default '0',
  `failed_dl_count` int(10) unsigned NOT NULL default '0',
  `failed_dl_kb` int(10) unsigned NOT NULL default '0',
  `temp_updated` datetime default NULL,
  `updated` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  PRIMARY KEY  (`user_id`),
  KEY `permanent_ul_kb` (`permanent_ul_kb`),
  KEY `permanent_dl_kb` (`permanent_dl_kb`),
  KEY `temp_ul_kb` (`temp_ul_kb`),
  KEY `temp_dl_kb` (`temp_dl_kb`),
  KEY `finished_dl_count` (`finished_dl_count`),
  KEY `unfinished_dl_count` (`failed_dl_count`),
  KEY `failed_dl_count` (`failed_dl_count`),
  KEY `temp_updated` (`temp_updated`),
  KEY `failed_dl_kb` (`failed_dl_kb`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COMMENT='User upload/download stats (for ratio calculation)';

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;

-- MySQL dump 10.8
--
-- Host: localhost    Database: bytemonsoonold
-- ------------------------------------------------------
-- Server version	4.1.7

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE="NO_AUTO_VALUE_ON_ZERO" */;

--
-- Table structure for table `category`
--

DROP TABLE IF EXISTS `category`;
CREATE TABLE `category` (
  `id` smallint(5) unsigned NOT NULL auto_increment,
  `owner_id` smallint(5) unsigned default NULL,
  `is_abstract` tinyint(1) unsigned NOT NULL default '0',
  `searchable` tinyint(1) unsigned NOT NULL default '1',
  `name` varchar(30) NOT NULL default '',
  `fullname` varchar(50) NOT NULL default '',
  `sort_index` smallint(5) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `owner_id` (`owner_id`),
  KEY `is_abstract` (`is_abstract`),
  KEY `searchable` (`searchable`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 PACK_KEYS=0;

--
-- Dumping data for table `category`
--


/*!40000 ALTER TABLE `category` DISABLE KEYS */;
LOCK TABLES `category` WRITE;
INSERT INTO `category` VALUES (1,NULL,0,1,'Music','Music',0),(2,72,0,1,'Rock','Music - Genre - Rock',2),(3,72,1,1,'Trance','Music - Genre - Trance',20),(4,3,0,1,'Psy/Goa','Music - Genre - Trance - Psy/Goa',21),(5,NULL,1,0,'Video','Video',100),(6,67,0,1,'Movie','Video - Type - Movie',102),(7,50,0,1,'Comedy','Video - Genre - Comedy',111),(8,50,0,1,'Action','Video - Genre - Action',112),(9,50,0,1,'Drama','Video - Genre - Drama',113),(10,NULL,0,1,'App','App',200),(11,50,0,1,'Anime','Video - Genre - Anime',117),(12,67,0,1,'TV show','Video - Type - TV show',103),(13,67,0,1,'Music video','Video - Type - Music video',104),(14,NULL,0,1,'eBook','eBook',300),(15,NULL,0,1,'Game','Game',400),(16,88,1,0,'PC','Game - Platform - PC',401),(17,88,0,1,'Xbox','Game - Platform - Xbox',407),(18,88,0,1,'Playstation 1','Game - Platform - Playstation 1',405),(19,88,0,1,'Playstation 2','Game - Platform - Playstation 2',406),(20,88,0,1,'Other','Game - Platform - Other',409),(21,55,1,1,'PC','App - Platform - PC',202),(22,55,0,1,'Mac','App - Platform - Mac',209),(23,55,0,1,'Other','App - Platform - Other',210),(24,NULL,0,1,'Other','Other',1000),(25,72,0,1,'DnB / Jungle','Music - Genre - DnB / Jungle',5),(26,3,0,1,'Progressive','Music - Genre - Trance - Progressive',22),(27,3,0,1,'Traditional','Music - Genre - Trance - Traditional',23),(28,3,0,1,'Vocal','Music - Genre - Trance - Vocal',24),(29,67,0,1,'XXX','Video - Type - XXX',104),(30,51,0,1,'TV-rip','Video - Quality - TV-rip',161),(31,51,0,1,'DVDRip','Video - Quality - DVDRip',162),(32,51,0,1,'Full DVDR','Video - Quality - Full DVDR',163),(33,52,0,1,'XVID','Video - Codec - XVID',171),(34,52,0,1,'DIVX','Video - Codec - DIVX',172),(35,52,0,1,'Other codec','Video - Codec - Other codec',175),(36,52,0,1,'MPEG','Video - Codec - MPEG',173),(37,52,0,1,'MPEG2','Video - Codec - MPEG2',174),(38,50,0,1,'Scifi','Video - Genre - Scifi',114),(39,50,0,1,'Document','Video - Genre - Document',115),(40,50,0,1,'Crime','Video - Genre - Crime',116),(41,5,1,1,'Subtitles','Video - Subtitles',180),(42,41,0,1,'Finnish','Video - Subtitles - Finnish',181),(43,41,0,1,'English','Video - Subtitles - English',182),(44,41,0,1,'Other','Video - Subtitles - Other',189),(45,72,0,1,'Hip-Hop','Music - Genre - Hip-Hop',10),(46,72,0,1,'Metal','Music - Genre - Metal',15),(47,56,0,1,'Antivirus','App - Genre - Antivirus',221),(48,72,0,1,'Chillout','Music - Genre - Chillout',17),(49,72,0,1,'Misc','Music - Genre - Misc',30),(50,5,1,0,'Genre','Video - Genre',110),(51,5,1,0,'Quality','Video - Quality',160),(52,5,1,0,'Codec','Video - Codec',170),(53,21,0,1,'Win32','App - Platform - PC - Win32',203),(54,21,0,1,'Unix','App - Platform - PC - Unix',204),(55,10,1,0,'Platform','App - Platform',201),(56,10,1,0,'Genre','App - Genre',220),(57,56,0,1,'Map','App - Genre - Map',222),(58,56,0,1,'Emulating','App - Genre - Emulating',223),(59,56,0,1,'Image manipulation','App - Genre - Image manipulation',224),(60,56,0,1,'Video manipulation','App - Genre - Video manipulation',225),(61,56,0,1,'Audio manipulation','App - Genre - Audio manipulation',226),(62,56,0,1,'Programming','App - Genre - Programming',227),(63,56,0,1,'Codec','App - Genre - Codec',228),(64,56,0,1,'Office','App - Genre - Office',229),(65,56,0,1,'Operating System','App - Genre - Operating System',230),(66,56,0,1,'Other','App - Genre - Other',231),(69,68,0,1,'AC3','Video - Audio - AC3',151),(68,5,1,0,'Audio','Video - Audio',190),(67,5,1,0,'Type','Video - Type',101),(70,68,0,1,'MP3','Video - Audio - MP3',152),(71,68,0,1,'Other','Video - Audio - Other',153),(72,1,1,0,'Genre','Music - Genre',1),(73,1,1,0,'Language','Music - Language',40),(74,73,0,1,'Finnish','Music - Language - Finnish',41),(75,73,0,1,'English','Music - Language - English',42),(76,73,0,1,'Other','Music - Language - Other',43),(77,1,1,0,'Quality','Music - Quality',50),(89,16,0,1,'Win32','Game - Platform - PC - Win32',402),(90,16,0,1,'Unix','Game - Platform - PC - Unix',403),(91,88,0,1,'Mac','Game - Platform - Mac',404),(88,15,1,0,'Platform','Game - Platform',401),(85,77,0,1,'Good','Music - Quality - Good',61),(86,77,0,1,'OK','Music - Quality - OK',62),(87,77,0,1,'Bad','Music - Quality - Bad',63),(92,NULL,1,1,'Pictures','Pictures',500),(93,92,0,1,'XXX','Pictures - XXX',501),(94,92,0,1,'Wallpaper','Pictures - Wallpaper',502),(95,92,0,1,'Cartoon','Pictures - Cartoon',503),(96,92,0,1,'Other','Pictures - Other',505),(97,92,0,1,'Humor','Pictures - Humor',504),(98,15,1,0,'Genre','Game - Genre',450),(99,98,0,1,'FPS','Game - Genre - FPS',451),(100,98,0,1,'RPG','Game - Genre - RPG',452),(101,50,0,1,'Romance','Video - Genre - Romance',118),(102,50,0,1,'Thriller','Video - Genre - Thriller',119),(103,50,0,1,'Adventure','Video - Genre - Adventure',120),(104,50,0,1,'Martial arts','Video - Genre - Martial arts',121),(105,50,0,1,'Family','Video - Genre - Family',122),(106,50,0,1,'Mystery','Video - Genre - Mystery',123),(107,50,0,1,'War','Video - Genre - War',124),(108,50,0,1,'Western','Video - Genre - Western',125),(109,50,0,1,'Fantasy','Video - Genre - Fantasy',126);
UNLOCK TABLES;
/*!40000 ALTER TABLE `category` ENABLE KEYS */;

--
-- Table structure for table `avps`
--

DROP TABLE IF EXISTS `avps`;
CREATE TABLE `avps` (
  `arg` varchar(20) NOT NULL default '',
  `value_i` int(11) NOT NULL default '0',
  `value_u` int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`arg`)
) ENGINE=HEAP DEFAULT CHARSET=latin1;

--
-- Dumping data for table `avps`
--


/*!40000 ALTER TABLE `avps` DISABLE KEYS */;
LOCK TABLES `avps` WRITE;
INSERT INTO `avps` VALUES ('lastcleantime',0,1106545175);
UNLOCK TABLES;
/*!40000 ALTER TABLE `avps` ENABLE KEYS */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;

