<?php

//################
//new bittorrent core functions implemented in TFHBTT
//################




//deletes the torrent and anything related to it from database and 
//collects collects dl/ul info to user_ratio table
function delete_torrent($torrent_id)
{
	//collecting peer information before deleting them
	collect_peer_info_permanent("torrent = " . $torrent_id);
	
	global $torrent_dir;
	safequery("DELETE FROM torrent WHERE id = $torrent_id");
	//safequery("DELETE FROM peer WHERE torrent = $torrent_id");
	safequery("DELETE FROM comment WHERE torrent = $torrent_id");
	safequery("DELETE FROM file WHERE torrent = $torrent_id");
	unlink("$torrent_dir/$torrent_id.torrent");
}

//removes peers permanently from the peer list and collects data to
//user_ratio table (as permanent values)
//is called when torrent is deleted from the database.
//$terms can be anything, i.e. "torrent = 123"
function collect_peer_info_permanent($terms)
{
	/*
	CREATE TABLE `peer` (
		`torrent` int(10) unsigned NOT NULL default '0',
		`peer_id` char(20) character set latin1 collate latin1_bin NOT NULL default '',
		`user_id` int(10) unsigned default NULL,
		`ip` char(15) NOT NULL default '',
		`port` smallint(5) unsigned NOT NULL default '0',
		`uploaded` bigint(20) unsigned NOT NULL default '0',
		`downloaded` bigint(20) unsigned NOT NULL default '0',
		`to_go` bigint(20) unsigned NOT NULL default '0',
		`seeder` enum('yes','no') NOT NULL default 'no',
		`started` datetime NOT NULL default '0000-00-00 00:00:00',
		`last_action` datetime NOT NULL default '0000-00-00 00:00:00',
		`connectable` enum('yes','no','unknown') NOT NULL default 'unknown',
		`connected` tinyint(1) unsigned NOT NULL default '0',
	*/
	
	/*
	CREATE TABLE `user_ratio` (
		`user_id` int(10) unsigned NOT NULL default '0',
		`permanent_ul_kb` int(10) unsigned NOT NULL default '0',
		`permanent_dl_kb` int(10) unsigned NOT NULL default '0',
		`temp_ul_kb` int(10) unsigned NOT NULL default '0',
		`temp_dl_kb` int(10) unsigned NOT NULL default '0',
		`finished_ul_count` int(10) unsigned NOT NULL default '0',
		`finished_dl_count` int(10) unsigned NOT NULL default '0',
		`failed_dl_count` int(10) unsigned NOT NULL default '0',
		`temp_updated` datetime default NULL,
		updated
	*/
	$res = safequery(
		"SELECT		torrent, peer_id, user_id, (temp_uploaded + perm_uploaded) AS total_uploaded, (temp_downloaded + perm_downloaded) AS total_downloaded, to_go".
		" FROM		peer".
		" WHERE		".$terms
		);
	
	while ($row = mysql_fetch_array($res))
	{
		$set = 
			"			permanent_ul_kb = permanent_ul_kb + " . intval($row["total_uploaded"] / 1024) .
			",			permanent_dl_kb = permanent_dl_kb + " . intval($row["total_downloaded"] / 1024);
		
		//is the download still incomplete?
		if ($row["to_go"] > 0)
		{
			//peer is being deleted while the download is still not active!
			
			//increasing the amount of failed downloads by one
			$set .= ",			failed_dl_count = failed_dl_count + 1";
			
			//increasing the amount of failed download kilobytes
			$set .= ",			failed_dl_kb = failed_dl_kb + " . intval($row["to_go"] / 1024);
		}
		
		safequery(
			"UPDATE		user_ratio".
			" SET		".
			$set .
			" WHERE		user_id = " . $row["user_id"] .
			" LIMIT		1"
		);
		
		safequery(
			"DELETE FROM		peer".
			" WHERE			torrent = " . $row["torrent"] .
			" AND			user_id = " . $row["user_id"]
			);
		
		
	}
}

//temporarily marks the peer as disconnected
//returns true if something was really updated
function disconnect_peer_temp($terms)
{
	$res = safequery(
		"UPDATE		peer".
		" SET		connected = 0".
		" WHERE		" . $terms .
		" AND		connected = 1" .
		" LIMIT		1"
		);
	
	return (mysql_affected_rows() == 1);
}

function connect_peer_temp($terms)
{
	$res = safequery(
		"UPDATE		peer".
		" SET		connected = 1".
		" WHERE		" . $terms .
		" AND		connected = 0" .
		" LIMIT		1"
		);
	return (mysql_affected_rows() == 1);
}

//updates info of given peers to user_ratio table
//as permanent values. doesn't modify anything in the
//peer table
function update_peer_info_temporary($terms)
{
	$res = safequery(
		"SELECT".
		"		user_id".
		",		(SUM(temp_uploaded) + SUM(perm_uploaded))	AS ul".
		",		(SUM(temp_downloaded) + SUM(perm_downloaded))	AS dl".
		" FROM		peer".
		" WHERE		$terms".
		" GROUP BY	user_id"
		);
	
	while ($row = mysql_fetch_array($res))
	{
		safequery(
			"UPDATE		user_ratio".
			" SET		temp_ul_kb = " . intval($row["ul"] / 1024) .
			",		temp_dl_kb = " . intval($row["dl"] / 1024) .
			",		temp_updated = NOW()".
			" WHERE		user_id = " . $row["user_id"] .
			" LIMIT 1"
			);
	}
}

//tests if given host is connectable.
//returns true if connection can be opened in the default timeout
function is_connectable($ip, $port)
{
	global $public_ip, $local_ip;
	if ($ip == $public_ip)
	{
        	$ip = $local_ip;
	}
	$sockres = @fsockopen($ip, $port, $errno, $errstr, 5);
	if (!$sockres)
	{
		return false;
	}
	else
	{
		@fclose($sockres);
		return true;
	}
}

?>
