<?
require_once('include/bittorrent.inc.php');
require_once('include/general_func.inc.php');

dbconn();

loggedonly();

showheader("Tracker statistics");

echo "<br>";
echo "<h3>User statistics</h3>";
$confirmed_count = safequery_scalar("SELECT COUNT(*) FROM user WHERE status = 'confirmed' AND deleted = 0");
echo "Confirmed users: <b><font size=\"5\"> " . $confirmed_count . "</font></b><br><br>";

$pending_count = safequery_scalar("SELECT COUNT(*) FROM user WHERE deleted = 0 AND status = 'pending'");
echo $pending_count . " user(s) still have the confirmation email rottening in their mailbox.<br><br>";

$seeder_count = safequery_scalar("SELECT COUNT(*) FROM (SELECT DISTINCT user_id FROM peer WHERE seeder = 'yes') AS t1");
echo "There are " . $seeder_count . " user(s) who are seeding torrent(s) currently.<br>";

$dl_count = safequery_scalar("SELECT COUNT(*) FROM (SELECT DISTINCT user_id FROM peer WHERE seeder = 'no') AS t1");
echo "There are " . $dl_count . " user(s) who are downloading torrent(s) currently.<br>";

$peer_count = safequery_scalar("SELECT COUNT(*) FROM (SELECT DISTINCT user_id FROM peer) AS t1");
echo "A total of " . $peer_count . " user(s) are connected to the tracker (seeding OR downloading).<br>";

$peer_total_seeder_count = safequery_scalar("SELECT COUNT(*) FROM peer WHERE connected = 1 AND seeder = 'yes'");
echo $peer_total_seeder_count . " active seeder connections.<br>";

$peer_total_leecher_count = safequery_scalar("SELECT COUNT(*) FROM peer WHERE connected = 1 AND seeder = 'no'");
echo $peer_total_leecher_count . " active leecher connections.<br>";

$peer_total_count = safequery_scalar("SELECT COUNT(*) FROM peer WHERE connected = 1");
echo "...which makes a total of " . $peer_total_count . " peer connections (seeders or downloaders).<br>";

$leecher_count = safequery_scalar("SELECT COUNT(*) FROM (SELECT DISTINCT user_id FROM peer WHERE seeder = 'no' AND user_id NOT IN (SELECT DISTINCT user_id FROM peer WHERE seeder = 'yes')) AS t1");

if ($leecher_count > 0)
	echo "<br>There are " . $leecher_count . " user(s) who are only downloading something but not seeding anything. Shame on them!<br>";
else
	echo "<br>Wow, currently nobody is downloading something without seeding anything.<br>";

echo "<br>";

$hours = array(1,3,6,12,24,24*3,24*7,24*14,24*30);

foreach ($hours as $hour)
{
	$active_count = safequery_scalar(
		"SELECT COUNT(*)".
		" FROM user".
		" WHERE last_access >= DATE_SUB(NOW(), INTERVAL $hour HOUR)".
		" AND deleted = 0".
		" AND status = 'confirmed'"
		);
	
	if ($active_count == 0)
		$count_text = "No one has";
	else if ($active_count == 1)
		$count_text = "One user has";
	else
		$count_text = $active_count . " users have";
	
	if ($hour >= 24)
		$day_text = " (". ($hour / 24) ." days)";
	else
		$day_text = "";

	echo $count_text . " used the site during the last $hour hours".$day_text.".<br>";
}

echo "<h3>Torrent statistics</h3>";
$torrent_bytes = safequery_scalar("SELECT SUM(size) FROM torrent WHERE visible = 'yes' AND banned = 'no'");
echo "Total size of alive torrents: " . mksize($torrent_bytes) . "<br><br>";

$torrent_files = safequery_scalar("SELECT SUM(numfiles) FROM torrent WHERE visible = 'yes' AND banned = 'no'");
echo "Total number of files in alive torrents: " . $torrent_files . "<br><br>";

stdfoot();

?>
